/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __HEADER_H__
#define __HEADER_H__

#include "text.h"

#define TYPE_HEADER            (header_get_type ())
#define HEADER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_HEADER, Header))
#define IS_HEADER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_HEADER))
#define HEADER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_HEADER, HeaderClass))
#define IS_HEADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_HEADER))


typedef struct _HeaderClass  HeaderClass;

struct _Header
{
  Text      parent_instance;
};

struct _HeaderClass
{
  TextClass parent_class;
};


GType  header_get_type (void);


#endif
