/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __IMAGE_H__
#define __IMAGE_H__

#include "item.h"

#define TYPE_IMAGE            (image_get_type ())
#define IMAGE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_IMAGE, Image))
#define IS_IMAGE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_IMAGE))
#define IMAGE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_IMAGE, ImageClass))
#define IS_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_IMAGE))


typedef struct _ImageClass  ImageClass;

struct _Image
{
  Item      parent_instance;
};

struct _ImageClass
{
  ItemClass parent_class;
};


GType   image_get_type (void);


#endif
