/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __LISTITEM_H__
#define __LISTITEM_H__

#include "text.h"

#define TYPE_LISTITEM            (listitem_get_type ())
#define LISTITEM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LISTITEM, Listitem))
#define IS_LISTITEM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LISTITEM))
#define LISTITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LISTITEM, ListitemClass))
#define IS_LISTITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LISTITEM))


typedef struct _ListitemClass  ListitemClass;

struct _Listitem
{
  Text      parent_instance;
};

struct _ListitemClass
{
  TextClass parent_class;
};


GType  listitem_get_type (void);


#endif
