/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __RESOURCES_H__
#define __RESOURCES_H__


IDirectFBImageProvider * resources_get_image_provider (const gchar *name);
IDirectFBVideoProvider * resources_get_video_provider (const gchar *name);
IDirectFBSurface       * resources_get_surface        (const gchar *name);
IDirectFBFont          * resources_get_font           (const gchar *name,
                                                       gint         size);
void                     resources_release_surface    (const gchar *name);
void                     resources_free               (void);


#endif
