/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __TEXT_H__
#define __TEXT_H__

#include "item.h"

#define TYPE_TEXT            (text_get_type ())
#define TEXT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TEXT, Text))
#define IS_TEXT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TEXT))
#define TEXT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TEXT, TextClass))
#define IS_TEXT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TEXT))


typedef struct _TextClass  TextClass;

struct _Text
{
  Item      parent_instance;
};

struct _TextClass
{
  ItemClass parent_class;
};


GType  text_get_type (void);


#endif
